Import file error? Can't install

I try install the Ver. on shared hosting server.
But, It stop import file of starting point ( sample data ).
Anyone have solution or hint of it?

#0 /home/users/2/ Imagine\Imagick\Imagine->load('\xFF\xD8\xFF\xE1\x02\x8AExif\x00\x00II*...') 
#1 /home/users/2/ Concrete\Core\Support\Facade\Facade::__callStatic('load', Array) 
#2 /home/users/2/ Concrete\Core\Support\Facade\Image::load('\xFF\xD8\xFF\xE1\x02\x8AExif\x00\x00II*...') 
#3 /home/users/2/ Concrete\Core\File\Version->rescanThumbnails() 
#4 /home/users/2/ Concrete\Core\File\Type\Inspector\ImageInspector->inspect(Object(Concrete\Core\File\Version)) 
#5 /home/users/2/ Concrete\Core\File\Version->refreshAttributes() 
#6 /home/users/2/ Concrete\Core\File\Importer->import('/home/users/2/h...', 'shoes.jpg') 
#7 [internal function]: Concrete\Core\Package\StartingPointPackage->import_files() 
#8 /home/users/2/ call_user_func(Array) 
#9 [internal function]: Concrete\Controller\Install->run_routine('elemental_full', 'import_files') 
#10 /home/users/2/ call_user_func_array(Array, Array) 
#11 /home/users/2/ Concrete\Core\Controller\AbstractController->runAction('run_routine', Array) 
#12 /home/users/2/ Concrete\Core\Routing\ControllerRouteCallback->execute(Object(Concrete\Core\Http\Request), Object(Concrete\Core\Routing\Route), Array) 
#13 /home/users/2/ Concrete\Core\Routing\Router->execute(Object(Concrete\Core\Routing\Route), Array) 
#14 /home/users/2/ Concrete\Core\Support\Facade\Facade::__callStatic('execute', Array)

View Replies:
roferix replied on at Permalink Reply
Same error...

Second try without installing the samples works!

Tao replied on at Permalink Reply
I solved this problem.
The cause of this bug is ImageMagick.
ImageMagick have memory leak bug.

Try this: /concrete/src/Support/Facade/Image.php
namespace Concrete\Core\Support\Facade;
class Image extends Facade
    public static function getFacadeAccessor()
        if (class_exists('Imagick')) {
            try {
                $imagick = new \Imagick();
                $v = $imagick->getVersion();
                list($version, $year, $month, $day, $q, $website) = sscanf(
                    'ImageMagick %s %04d-%02d-%02d %s %s');
                if (version_compare($version, '6.2.9') >= 0) {
hissy replied on at Permalink Reply
tsdonohue5 replied on at Permalink Reply
Thanks! had same error on 'importing files' but this comment of this function got me past it.
andrew replied on at Permalink Reply
In the meantime we're disabling Imagick support until we can figure out a good way to detect and sidestep this problem.